summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorXyne <xyne@archlinux.ca>2013-09-18 05:01:23 +0200
committerAllan McRae <allan@archlinux.org>2013-09-18 06:28:03 +0200
commit2379eb1fa629eebd9de8c1a542734243ff2ef471 (patch)
tree854f74258c785d54bcaa9ec678e4d5a7ceb52574 /scripts
parent028490ddcf2dcf4130da6d50ce1adbc8dba17c03 (diff)
downloadpacman-2379eb1fa629eebd9de8c1a542734243ff2ef471.tar.gz
pacman-2379eb1fa629eebd9de8c1a542734243ff2ef471.tar.xz
makepkg: redirect downloader output to STDERR
This allows scripts to safely capture the output of "makepkg -g". Signed-off-by: Allan McRae <allan@archlinux.org>
Diffstat (limited to 'scripts')
-rw-r--r--scripts/makepkg.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/makepkg.sh.in b/scripts/makepkg.sh.in
index e77e6e5e..67ec240a 100644
--- a/scripts/makepkg.sh.in
+++ b/scripts/makepkg.sh.in
@@ -372,7 +372,7 @@ download_file() {
fi
local ret=0
- eval "$dlcmd || ret=\$?"
+ eval "$dlcmd >&2 || ret=\$?"
if (( ret )); then
[[ ! -s $dlfile ]] && rm -f -- "$dlfile"
error "$(gettext "Failure while downloading %s")" "$filename"